mysqli_result::field_seek
mysqli_result->lengths
MySQLi_Result
PHP Manual

# mysqli_result::free

# mysqli_free_result

(PHP 5)

mysqli_result::free -- mysqli_free_result — Frees the memory associated with a result

### Description

Object oriented style

void mysqli_result::free ( void )
void mysqli_result::close ( void )
void mysqli_result::free_result ( void )

Procedural style

void mysqli_free_result ( mysqli_result `$result` )

Frees the memory associated with the result.

> Note: You should always free your result with mysqli_free_result(), when your result object is not needed anymore.

### Parameters

`result`

  Procedural style only: A result set identifier returned by mysqli_query(), mysqli_store_result() or mysqli_use_result().

### Return Values

No value is returned.

### See Also

- mysqli_query() - Performs a query on the database
- mysqli_stmt_store_result() - Transfers a result set from a prepared statement
- mysqli_store_result() - Transfers a result set from the last query
- mysqli_use_result() - Initiate a result set retrieval

mysqli_result::field_seek
mysqli_result->lengths
MySQLi_Result
PHP Manual